#include <Servo.h>

/* control de velocidad de giro del servo */

int servoPin = 3;
Servo miServo;

int controlVelocidad;  //mientras más alto sea este valor, más lento va a girar el servo
int angulo; 

void setup() {
  miServo.attach(servoPin);
  controlVelocidad = 20;
  angulo = 0;

  miServo.write(angulo);

}

void loop() {
  //hacemos girar el servo a través de un lazo for
  for (int i=angulo; i<=180; i++){
    miServo.write(i);
    delay(controlVelocidad);
  }

  //al llegar a 180 hacemos una pausa
  delay(2000);
  angulo = 180;

  //giramos el servo en sentido inverso
  for (int i=angulo; i>=0; i--){
    miServo.write(i);
    delay(controlVelocidad);
  }

  //al llegar a 0, hacemos una pausa
  delay(2000);
  angulo = 0;

}
